<?
/*
Ads-Wordpress - Plagin for Wordpress
Handles options in admin panel Top level page
*/

function ads_top_menu_page() {
		global $ads_config, $ads_options, $wpdb;
		$opt_name = $ads_config['opt_name'];
    // See if the user has posted us some information
    // If they did, this hidden field will be set to 'Y'
    if( $_POST['Submit'] ) {
				$ads_options = $_POST;

	    if($_POST['ads_user_name']){
	    	$ads_user_name = $_POST['ads_user_name'];
				$ads_user_id = $wpdb->get_var( $wpdb->prepare( "SELECT ID FROM $wpdb->users WHERE user_login = '$ads_user_name'" ));
				$ads_options['ads_user_id'] = $ads_user_id;
      }

				// Save the posted value in the database
        update_option( $opt_name, $ads_options );

        // Put an options updated message on the screen

?>
<div class="updated"><p><strong><?php _e('Options saved.','ads-wordpress'); ?></strong></p></div>
<?php

    }
    else {
    		$_POST = $ads_options;
    }

    // Now display the options editing screen

    echo '<div class="wrap">';

    // header

    echo "<h2>Ads WordPress</h2>";

    // options form
		ob_start();
        if(!sizeof($ads_options)){
            $_POST['ads_count_upload'] = 4;
            $_POST['ads_template_apply'] = 4;
            $_POST['ads_all_inclusive'] = 4;
        }
    ?>

<form name="form1" method="post" action="<?=str_replace( '%7E', '~', $_SERVER['REQUEST_URI']); ?>">
<table class="form-table">
<tbody>
 <tr>
 <td width="50%"><?_e('Replace the anonymous user to user:','ads-wordpress')?></td>
 <td><input type="text" name="ads_user_name" size="20"/></td>
 </tr>

 <tr>
 <td width="50%"><?_e('What to do with a message from an anonymous user, set stutus message:','ads-wordpress')?></td>
 <td>
 	<select name="ads_post_status">
  			<option  value="draft">draft</option>
  			<option  value="pending">pending</option>
  			<option  value="publish">publish</option>
     </select>
	</td>
 </tr>

 <tr>
 <td width="50%">Comments:</td>
 <td>
 	<select name="ads_comments">
			<option  value="open">open</option>
  			<option  value="closed">closed</option>
  			<option  value="optional">optional</option>
     </select>
	</td>
 </tr>
 <tr>
 <td>
<?_e("Notify the author by e-mail when a new comment on his announcement, (council) that the comments should be published immediately",'ads-wordpress')?>
 </td>
 <td><input type="checkbox" name="ads_comments_ping" /></td>
 </tr>

 <tr>
 <td><?_e('Auto gap, auto','ads-wordpress')?> &lt;!--more--&gt;</td>
 <td><input type="checkbox" name="ads_auto_more"/><input type="text" size="4" name="ads_count_str_more"/><br /><?_e('number of characters in the announcement','ads-wordpress')?></td>
 </tr>
 <tr>
 <td><?_e('The time interval between messages in hours','ads-wordpress')?></td>
 <td><input type="text" size="4" name="ads_interval"/></td>
 </tr>
 <tr>
 <td><?_e('Antibot image (capthca)','ads-wordpress')?></td>
 <td><input type="checkbox" name="ads_capthca"/></td>
 </tr>
 <tr><td><?_e('Number of uploads','ads-wordpress')?></td>
 <td><input type="text" name="ads_count_upload" size="5"/></td>
 </tr>
  <tr><td><?_e('Number of picture to make a miniature set meta field <b>_thumbnail_id</b>','ads-wordpress')?></td>
 <td><input  type="text" name="ads_set_thumbnail" size="5"/></td>
 </tr>
 <tr><td><?_e('The maximum size in megabytes','ads-wordpress')?></td>
 <td><input type="text" name="ads_max_size" size="5"/></td>
 </tr>
 <tr><td><?_e('Allowed file types (multiple choice with pressed Ctr)','ads-wordpress')?></td>
 <td>
 	<select style = "height:7em;" name="ads_file_types[]" multiple>
 		<option value="image">image</option>
 		<option value="video">video</option>
 		<option value="audio">audio</option>
 		<option value="text">text</option>
 		<option value="application">application</option>
     </select>
 </td>
 </tr>
 <tr>
 <td><?_e('Compress large photos <br /> an aspect','ads-wordpress')?></td>
 <td><input type="text" name="ads_max_img_x" size="5">X<input type="text" name="ads_max_img_y" size="5"/></td>
 </tr>
 <tr>
 <td><?_e('Delete column id, separated by commas','ads-wordpress')?></td>
 <td><input type="text" name="ads_exclude" size="20"/></td>
 </tr>
 <tr>
 <td><?_e('Parent topic of categories will be available in the announcement to select column','ads-wordpress')?></td>
 <td><input type="text" name="ads_base_category" size="5"/></td>
 </tr>
 <tr>
 <td><?_e('Selection list of categories','ads-wordpress')?></td>
 <td><input type="checkbox" name="ads_desc_category" /><?_e('description','ads-wordpress')?>
 <input type="checkbox" name="ads_expand_category" /><?_e('expand','ads-wordpress')?>
 <input name="ads_depth_category" size="2"/> <?_e('depth of the display (counting from zero)','ads-wordpress')?>
 </td>
 </tr>
 <tr>
 <td><?_e('Ads Location category ID','ads-wordpress')?></td>
 <td><input type="text" name="ads_location_root" size="3"/></td>
 </tr>
 <tr>
 <td><?_e('Apply templates posts','ads-wordpress')?></td>
 <td><input type="checkbox" name="ads_template_apply" /></td>
 </tr>
 <tr>
 <td><?_e('Set field <a href="http://codex.wordpress.org/Post_Types">post_type</a> (the default value <b>post</b>)','ads-wordpress')?></td>
 <td><input type="text" name="ads_post_type_name" /></td>
 </tr>
 <tr>
 <td><?_e('Apply the accelerator <a href="http://wordpress.org/extend/plugins/all-inclusive/">All Inclusive</a>','ads-wordpress')?></td>
 <td><input type="checkbox" name="ads_all_inclusive" /></td>
 </tr>
 <tr>
 <td><?_e('Add announcement number to the title','ads-wordpress')?></td>
 <td><input type="checkbox" name="ads_id_title" /></td>
 </tr>
 <tr>
 <td><?_e('Allow to specify the lifetime of ad','ads-wordpress','ads-wordpress')?></td>
 <td><input type="checkbox" name="ads_set_lifetime" /> <?_e('count days','ads-wordpress')?></td>
 </tr>
 <tr>
 <td><?_e('Remove ads AND Overdue ads <br /> (default ads are removed)','ads-wordpress','ads-wordpress')?></td>
 <td>
    <?_e('mention meta field <b>ads_overdue</b>','ads-wordpress','ads-wordpress')?><input type="checkbox" name="ads_overdue_metafield" />
    <br /><b>OR</b><br />
    <?_e('move into the category','ads-wordpress','ads-wordpress')?>:<input size="4" type="text" name="ads_overdue_category" />(cat id)
 </td>
 </tr>
 <tr>
 <td><?_e('Restore ad for re-editing','ads-wordpress','ads-wordpress')?></td>
 <td><input type="checkbox" name="ads_restore" /></td>
 </tr>
 <tr>
 <td><?_e('Who can write messages','ads-wordpress')?></td>
 <td><select name="ads_user_status" size="1">
    <option value="0" ><?_e('everything','ads-wordpress')?></option>
    <option value="1"><?_e('registered','ads-wordpress')?></option>
    </select></td>
 </tr>

<tr><td><?_e('Email notification','ads-wordpress')?></td>
<td><input type="checkbox" name="ads_email_new_post" /><?_e('new post','ads-wordpress')?>&nbsp;&nbsp;&nbsp;
<input type="checkbox" name="ads_email_edit_post" /><?_e('post edit','ads-wordpress')?>&nbsp;&nbsp;&nbsp;
</td>
</tr>

<tr><td><?_e('Duplicate notice to the address','ads-wordpress')?></td>
<td><input type="text" name="ads_notice_admin" />
</td>
</tr>


 <tr>
 <td><font color="red">*</font><?_e('redirect link "Edit this entry" to the editor plug-in (add a filter to get_edit_post_link ())','ads-wordpress')?></td>
 <td> <input type="text"  name="ads_edit_page" size="5" /><?_e('set page_id edit page','ads-wordpress')?></td>
 </tr>
  <tr>
 <td><?_e('When editing the post to change the date on the current','ads-wordpress')?></td>
 <td><input type="checkbox" name="ads_change_date" /></td>
 </tr>
<tr>
 <td><font color="red">*</font><?_e('include ads_queryfilter - search meta fields ','ads-wordpress')?></td>
 <td> <input type="checkbox" name="ads_queryfilter" /></td>
 </tr>

 <tr>
 <td><?_e('Enable Wordpress user tags','ads-wordpress')?></td>
 <td><input type="checkbox" name="ads_user_tags" /></td>
 </tr>
 <tr>
 <td><?_e('Allow html tags','ads-wordpress')?><br />
 <?_e('this rule applies generally to the array $ _REQUEST','ads-wordpress')?></td>
 <td><input type="text"  name="ads_strip_tags" /> exemple:  &lt;a&gt;&lt;p&gt;&lt;b&gt;</td>
 </tr>
 <tr>
 <td><?_e('Allow all html tags','ads-wordpress')?></td>
 <td><input type="checkbox" name="ads_nostrip_tags" /></td>
 </tr>
<!--  <tr>
 <td><?_e('After saving the record only print a short message to an edit form does not print','ads-wordpress')?></td>
 <td><input type="checkbox" name="ads_short_message" /></td>
 </tr> -->

</tbody>
</table>
<p class="submit">
<input type="submit" name="Submit" value="<?php _e('Update Options', 'mt_trans_domain' ,'ads-wordpress') ?>" />
</p>

</form>
<?php
		$code = ob_get_contents();
		ob_end_clean();
		include_once $ads_config['dir_plugin'].'/FormPersister.php';
		$ob = new HTML_FormPersister();
		$proc = $ob->process($code);
		echo  $proc;
}
